=== debian/control ===
Source: kfloppy
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules,
               libkf5completion-dev (>= 5.2.0~),
               libkf5coreaddons-dev (>= 5.2.0~),
               libkf5crash-dev (>= 5.15.0~),
               libkf5doctools-dev (>= 5.2.0~),
               libkf5i18n-dev (>= 5.2.0~),
               libkf5xmlgui-dev (>= 5.2.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.2.0~),
Standards-Version: 4.1.4
Homepage: http://www.kde.org
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kfloppy
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kfloppy

Package: kfloppy
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: floppy formatter
 Kfloppy is a utility for formatting floppy disks.
 .
 This package is part of the KDE SC utilities module.
