=== debian/changelog ===
kfloppy (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:09:18 +0000

kfloppy (4:19.12.2-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Switch debian/watch to new KDE release service URL.
  * New upstream release (19.12.2).
  * Update build dependencies according to upstream build system:
    - cmake >= 3.5
    - Qt >= 5.9
    - KF5 libraries >= 5.44
  * Borrow minimal upstream signing key from k3b.
  * Update upstream project website homepage URL.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Drop kde-l10n migration, not needed anymore after 2 stable releases.
  * Refresh debian/copyright.
  * Switch from dhmk to dh --with kf5.
  * Add hardening=+all build hardening flag.
  * Bump Standards-Version to 4.5.0:
    - Add Rules-Requires-Root: no.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 24 Feb 2020 16:44:41 +0100
