=== debian/control ===
Source: kfloppy
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.44.0~),
               libkf5completion-dev (>= 5.44.0~),
               libkf5coreaddons-dev (>= 5.44.0~),
               libkf5crash-dev (>= 5.44.0~),
               libkf5doctools-dev (>= 5.44.0~),
               libkf5i18n-dev (>= 5.44.0~),
               libkf5xmlgui-dev (>= 5.44.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.9.0~),
Standards-Version: 4.5.0
Homepage: https://kde.org/applications/utilities/org.kde.kfloppy
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kfloppy
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kfloppy.git
Rules-Requires-Root: no

Package: kfloppy
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: floppy formatter
 Kfloppy is a utility for formatting floppy disks.
 .
 This package is part of the KDE SC utilities module.
