## kfloppy 20.08.1

=== debian/changelog ===
kfloppy (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:53:08 +0100

kfloppy (4:20.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Do not ship TODO, as it is not useful for users.
  * Explicitly add the gettext build dependency.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Add the configuration for the CI on salsa.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Aug 2020 11:10:22 +0200

kfloppy (4:20.04.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.04.2).
  * Add Bug-* URLs to upstream metadata.
  * Move upstream URLs from deprecated cgit to new invent.kde.org GitLab
    platform.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 16 Jun 2020 17:07:31 +0200
