=== debian/control ===
--- 
+++ 
@@ -9,8 +9,9 @@
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.5~),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 5.44.0~),
+               gettext,
                libkf5completion-dev (>= 5.44.0~),
                libkf5coreaddons-dev (>= 5.44.0~),
                libkf5crash-dev (>= 5.44.0~),
