=== debian/control ===
--- 
+++ 
@@ -2,12 +2,9 @@
 Section: kde
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>,
-           Modestas Vainius <modax@debian.org>,
-           George Kiagiadakis <kiagiadakis.george@gmail.com>,
-           Eshat Cakar <info@eshat.de>,
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
-           Maximiliano Curia <maxy@debian.org>,
+           Sune Vuorela <sune@debian.org>,
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.44.0~),
@@ -20,7 +17,7 @@
                libkf5xmlgui-dev (>= 5.44.0~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.9.0~),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://kde.org/applications/utilities/org.kde.kfloppy
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kfloppy
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kfloppy.git
