=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kfloppy
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Norbert Preining <norbert@preining.info>,
@@ -18,16 +19,16 @@
                libkf5xmlgui-dev (>= 5.91.0~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.15.2~),
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Homepage: https://kde.org/applications/utilities/org.kde.kfloppy
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kfloppy
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kfloppy.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kfloppy
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kfloppy
 Rules-Requires-Root: no
 
 Package: kfloppy
 Architecture: any
 Section: utils
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: floppy formatter
  Kfloppy is a utility for formatting floppy disks.
  .
