## kfloppy 23.04.3%2Bgit20240924.9d9c82a1

=== debian/control ===
Source: kfloppy
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.102.0~),
               gettext,
               libkf6completion-dev (>= 5.240.0~),
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6crash-dev (>= 5.240.0~),
               libkf6doctools-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               libkf6xmlgui-dev (>= 5.240.0~),
               pkg-kde-tools (>= 0.12),
               qt6-base-dev (>= 5.15.2~),
Standards-Version: 4.7.0
Homepage: https://kde.org/applications/utilities/org.kde.kfloppy
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kfloppy
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kfloppy.git
Rules-Requires-Root: no

Package: kfloppy
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: floppy formatter
 Kfloppy is a utility for formatting floppy disks.
 .
 This package is part of the KDE SC utilities module.
