=== debian/changelog ===
kfloppy (4:23.04.3+git20240924.9d9c82a1-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Dec 2024 14:40:35 +0100

kfloppy (4:23.04.3+git20240924.9d9c82a1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream git snapshot (23.04.3+git20240924.9d9c82a1).
  * Build against Qt6 / KF6, update build-deps and deps with the info
    from cmake.
  * Bump Standards-Version to 4.7.0, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 04 Nov 2024 00:58:05 +0100
