## kfloppy 23.07.70~git20260112.b82fb79e

=== debian/changelog ===
kfloppy (4:23.07.70~git20260112.b82fb79e-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Switch Maintainer to the KDE Extras team now that the package is not
    in the Gear set anymore.
  * Remove inactive uploaders.
  * New upstream git snapshot (23.07.70~git20260112.b82fb79e).
  * Bump Standards-Version to 4.7.3, no change required.
  * Update project homepage.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 19 Jan 2026 08:25:02 +0100
