=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: kfloppy
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
-           Norbert Preining <norbert@preining.info>,
            Sune Vuorela <sune@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
@@ -18,11 +17,10 @@
                libkf6xmlgui-dev (>= 5.240.0~),
                pkg-kde-tools (>= 0.12),
                qt6-base-dev (>= 5.15.2~),
-Standards-Version: 4.7.0
-Homepage: https://kde.org/applications/utilities/org.kde.kfloppy
+Standards-Version: 4.7.3
+Homepage: https://apps.kde.org/kfloppy/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kfloppy
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kfloppy.git
-Rules-Requires-Root: no
 
 Package: kfloppy
 Architecture: any
